summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichal Zimniewicz <mzimniew@man.poznan.pl>2020-01-04 12:41:46 +0100
committerMichal Zimniewicz <mzimniew@man.poznan.pl>2020-01-04 12:41:46 +0100
commitd05b4e2f70b816871d1e7eedfe680d8cd931f027 (patch)
tree179edaa6e50af459c1d998d905069baba7b60729
parent2de5c9dcfabcef864d0b2b0ab369581b5684b195 (diff)
add two separate scripts for single and bulk processingseparate-single-bulk-scripts
-rwxr-xr-xausbutler-all.sh7
-rwxr-xr-xausbutler-single.sh15
-rwxr-xr-xausbutler.sh7
3 files changed, 22 insertions, 7 deletions
diff --git a/ausbutler-all.sh b/ausbutler-all.sh
new file mode 100755
index 0000000..2bc2d80
--- /dev/null
+++ b/ausbutler-all.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+set -eu
+cd "$(dirname "$0")"
+while read -r TOURNAMENT
+do
+ ./ausbutler-single.sh $TOURNAMENT
+done < tournaments.txt
diff --git a/ausbutler-single.sh b/ausbutler-single.sh
new file mode 100755
index 0000000..a8f9271
--- /dev/null
+++ b/ausbutler-single.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -eu
+TOURNAMENT=$1
+cd "$(dirname "$0")"
+
+echo "Processing $TOURNAMENT..."
+echo ""
+
+ln -sfn configs/config.$TOURNAMENT config
+python jfrteamy-ausbutler/butler.py calculate generate nowait
+
+echo ""
+echo "Done"
+echo ""
+
diff --git a/ausbutler.sh b/ausbutler.sh
deleted file mode 100755
index c1a9112..0000000
--- a/ausbutler.sh
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/bash
-cd "$(dirname "$0")"
-while read -r TOURNAMENT
-do
- ln -sfn configs/config.$TOURNAMENT config
- python jfrteamy-ausbutler/butler.py calculate generate nowait
-done < tournaments.txt